@import url("styles.css");

@import url("tools.css");

.slugs label {
    display: block;
}

.slugs input[type]{
    width: 100%;
    -webkit-appearance: none;
    background: #fcfcfc;
    padding: .46428571em;
    padding-left: .92857143em;
    border-radius: 6px;
    border: 1px solid #b8b8b8;
    margin-top: 1rem !important;
    margin-bottom: 1rem !important;
    height: calc(1.5em + 1rem + 2px);
    font-size: 1.25rem;
    line-height: 1.5;
}
.slugs input[type]:focus{
    border-color: #5b5bf6 !important;
    outline:none !important;
}

.slugs button[type="submit"]  {
    all: unset;
    display: block;
    width: 100%;
    padding: 10px;
    font-size: 20px;
    font-weight: 600;
    color: white;
    background-color: #5b5bf6;
    cursor: pointer;
    border: none;
    border-radius: 4px; 
    text-align: center; 
    text-transform: uppercase;
    box-sizing: border-box;
}

.slugs p.result-title {
    margin-top: 20px;
    font-weight: 900;
    text-transform: uppercase;
}

.urldecoder .radio-button {
  display: block;
  width: 100%;
  margin: 0.5rem 0;
  cursor: pointer;
}

.urldecoder .radio-button input[type="radio"] {
  all: unset;
  position: absolute;
  opacity: 0;
  pointer-events: none;
}

.urldecoder .radio-button span {
  all: unset;
  display: block;
  width: 100%;
  padding: 10px;
  font-size: 20px;
  font-weight: 600;
  color: white;
  background-color: #bab9b9;
  cursor: pointer;
  border: none;
  border-radius: 4px;
  text-align: center;
  text-transform: uppercase;
  box-sizing: border-box;
  transition: background-color 0.3s ease;
}


.urldecoder .radio-button input[type="radio"]:checked + span {
  background-color: #00db47;
}

.urldecoder textarea {
  width: 100%;
  max-width: 100%;
  box-sizing: border-box;
  font-size: 1rem;
  padding: 0.5rem;
  resize: vertical; 
}

.urldecoder button[type="submit"]  {
    all: unset;
    display: block;
    width: 100%;
    padding: 10px;
    font-size: 20px;
    font-weight: 600;
    color: white;
    background-color: #5b5bf6;
    cursor: pointer;
    border: none;
    border-radius: 4px; 
    text-align: center; 
    text-transform: uppercase;
    box-sizing: border-box;
}

.editor-texto #counter {
  border: 1px solid #ccc;
  border-width: 0px 1px 1px 1px;
  color: #aaa;
  padding: 5px 15px;
  text-align: right;
  font-size: 16px;
}

.editor-texto .generarHTML-boton  {
    all: unset;
    display: block;
    width: 100%;
    padding: 10px;
    font-size: 20px;
    font-weight: 600;
    color: white;
    background-color: #5b5bf6;
    cursor: pointer;
    border: none;
    border-radius: 4px; 
    text-align: center; 
    text-transform: uppercase;
    box-sizing: border-box;
    margin-top: 20px;
    margin-bottom: 20px;
}

.editor-json #editor{
    padding: 0px !important;
    width: 100%;
    height: 500px;
}

.editor-json button[type="button"][title="Filtrar, ordenar o transformar contenidos"].jsoneditor-transform {
    display: none;
}

.editor-json .jsoneditor-menu a.jsoneditor-poweredBy{
    display:none !important;
}

.editor-json .mostrar-ejemplo{
    all: unset;
    display: block;
    width: 100%;
    padding: 10px;
    font-size: 20px;
    font-weight: 600;
    color: white;
    background-color: #5b5bf6;
    cursor: pointer;
    border: none;
    border-radius: 4px; 
    text-align: center; 
    text-transform: uppercase;
    box-sizing: border-box;
    margin-top: 20px;
    margin-bottom: 20px;
}

.editor-json .jsoneditor.jsoneditor-mode-code {
    border-color: #5b5bf6 !important;
}.jsoneditor.jsoneditor-mode-code {}

.editor-json .jsoneditor-menu {
    background-color: #5b5bf6 !important;
    border-color: #5b5bf6 !important;
}

.jsoneditor-modal .pico-modal-header {
    background: #5b5bf6 !important;
}


.jsoneditor-modal .jsoneditor-button-group.jsoneditor-button-group-value-asc input.jsoneditor-button-asc, .jsoneditor-modal .jsoneditor-button-group.jsoneditor-button-group-value-desc input.jsoneditor-button-desc {
    background: #5b5bf6 !important;
    border-color: #5b5bf6 !important;
}


.editor-json .jsoneditor-contextmenu .jsoneditor-menu{
    background: #fff !important;
    border: 1px solid #d3d3d3 !important;
}


@media (max-width: 730px) {
    
}
